---
lang: en
title: 'API docs: security.userprofile'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.security.userprofile.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/security](./security.md) &gt; [UserProfile](./security.userprofile.md)

## UserProfile interface

The minimum set of attributes that describe a user.

<b>Signature:</b>

```typescript
export interface UserProfile extends Principal 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [email](./security.userprofile.email.md) | <code>string</code> |  |
|  [name](./security.userprofile.name.md) | <code>string</code> |  |


